Package com.creditcall.chipdnamobile

# Class RequestQueueStatus

java.lang.Object
com.creditcall.chipdnamobile.RequestQueueStatus

public class RequestQueueStatus extends Object
Created by Shingai on 07/08/2017.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDateTimeFormat()`
  `String`
  `getDateTimeOfOldestStoredRequest()`
  Returns the date and time of the oldest request in the processing queue.
  `List<String>`
  `getFailedOfflineRequests()`
  Returns list containing the user references of the faile requests
  `HashMap<OfflineRequest.CEMOfflineRequestType,Long>`
  `getFailedRequestTotalsByRequestType()`
  Returns the amount sum of the stored failed requests, grouped by the request type.
  `HashMap<OfflineRequest.CEMOfflineRequestType,Long>`
  `getFailedRequestVolumesByRequestType()`
  Returns the volumes of the stored failed requests, grouped by the request type.
  `long`
  `getPendingRequestsStorageLimit()`
  Returns the limit for the maximum requests which can be stored by ChipDNA Mobile.
  `long`
  `getPendingRequestsValueLimit()`
  Returns the maximum amount which can be stored by ChipDNA Mobile in offline requests.
  `HashMap<OfflineRequest.CEMOfflineRequestType,Long>`
  `getPendingRequestTotalsByRequestType()`
  Returns the amount sum of the stored pending requests, grouped by the request type.
  `HashMap<OfflineRequest.CEMOfflineRequestType,Long>`
  `getPendingRequestVolumesByRequestType()`
  Returns the volumes of the stored requests, grouped by the request type.
  `long`
  `getTotalFailedValueStored()`
  Returns the total amount currently stored by ChipDNA Mobile in failed offline requests.
  `long`
  `getTotalNumberOfFailedRequests()`
  Returns the number of the failed offline requests currently stored by ChipDNA Mobile.
  `long`
  `getTotalNumberOfPendingRequests()`
  Returns the number of the offline requests currently stored by ChipDNA Mobile.
  `long`
  `getTotalPendingValueStored()`
  Returns the total amount currently stored by ChipDNA Mobile in offline requests.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getDateTimeFormat

    public String getDateTimeFormat()
    Returns:
      The format of datetime strings.

  - ### getTotalNumberOfPendingRequests

    public long getTotalNumberOfPendingRequests()
    Returns the number of the offline requests currently stored by ChipDNA Mobile. Only the requests currently in the processing queue are included in the count, failed requests do not count towards the storage limit and are not included.
    Returns:
      The number of offline requests currently stored by ChipDNA Mobile.

  - ### getTotalNumberOfFailedRequests

    public long getTotalNumberOfFailedRequests()
    Returns the number of the failed offline requests currently stored by ChipDNA Mobile. Only the failed requests are included in the count, pending requests are not included.
    Returns:
      The number of failed offline requests currently stored by ChipDNA Mobile.

  - ### getPendingRequestsStorageLimit

    public long getPendingRequestsStorageLimit()
    Returns the limit for the maximum requests which can be stored by ChipDNA Mobile.
    Returns:
      The number of offline requests currently stored by ChipDNA Mobile.

  - ### getPendingRequestsValueLimit

    public long getPendingRequestsValueLimit()
    Returns the maximum amount which can be stored by ChipDNA Mobile in offline requests. The amounts processed in sales and refunds both count towards the maximum amount.
    Returns:
      The maximum amount which can be stored by CardEase Mobile.

  - ### getTotalPendingValueStored

    public long getTotalPendingValueStored()
    Returns the total amount currently stored by ChipDNA Mobile in offline requests. Only the amounts of the requests currently in the processing queue are included in the count, the amounts in the failed requests do not count towards the storage limit and are not included. The amounts processed in sales and refunds both count towards the total amount.
    Returns:
      The total amount currently stored by ChipDNA Mobile.

  - ### getTotalFailedValueStored

    public long getTotalFailedValueStored()
    Returns the total amount currently stored by ChipDNA Mobile in failed offline requests. Only the amounts of the failed requests are included in the count, the amounts in the pending requests are not included. The amounts processed in sales and refunds both count towards the total amount.
    Returns:
      The total amount currently stored by ChipDNA Mobile.

  - ### getDateTimeOfOldestStoredRequest

    public String getDateTimeOfOldestStoredRequest()
    Returns the date and time of the oldest request in the processing queue. It is in the "dd/MM/yyyy HH:mm:ss" format.
    Returns:
      The date and time of the oldest request in the processing queue, null if the processing queue is empty.

  - ### getPendingRequestVolumesByRequestType

    public HashMap<OfflineRequest.CEMOfflineRequestType,Long> getPendingRequestVolumesByRequestType()
    Returns the volumes of the stored requests, grouped by the request type. Only the pending requests are included in the volumes count.
    Returns:
      The volumes of the stored pending requests by type.

  - ### getPendingRequestTotalsByRequestType

    public HashMap<OfflineRequest.CEMOfflineRequestType,Long> getPendingRequestTotalsByRequestType()
    Returns the amount sum of the stored pending requests, grouped by the request type. Only the pending requests are included in the sum.
    Returns:
      The sum of pending requests amount by type.

  - ### getFailedRequestVolumesByRequestType

    public HashMap<OfflineRequest.CEMOfflineRequestType,Long> getFailedRequestVolumesByRequestType()
    Returns the volumes of the stored failed requests, grouped by the request type. Only the failed requests are included in the volumes count.
    Returns:
      The volumes of failed requests by type.

  - ### getFailedRequestTotalsByRequestType

    public HashMap<OfflineRequest.CEMOfflineRequestType,Long> getFailedRequestTotalsByRequestType()
    Returns the amount sum of the stored failed requests, grouped by the request type. Only the failed requests are included in the sum.
    Returns:
      The sum of failed requests amount by type.

  - ### getFailedOfflineRequests

    public List<String> getFailedOfflineRequests()
    Returns list containing the user references of the faile requests
    Returns:
      an array of offline requests user references.